Apache Struts API Documentation: Class SetPropertyRule

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.digester
Class SetPropertyRule

    java.lang.Object
      |
      +--org.apache.struts.digester.Rule
            |
            +--org.apache.struts.digester.SetPropertyRule

public class SetPropertyRule
extends Rule

Rule implementation that sets an individual property on the object at the top of the stack, based on attributes with specified names.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig McClanahan

Field Summary
`protected java.lang.String` | `name` The attribute that will contain the property name.
`protected java.lang.String` | `value` The attribute that will contain the property value.

Fields inherited from class org.apache.struts.digester.Rule
`digester`

Constructor Summary
`SetPropertyRule(Digester digester, java.lang.String name, java.lang.String value)` Construct a "set property" rule with the specified name and value attributes.

Method Summary
`void` | `begin(org.xml.sax.AttributeList attributes)` Process the beginning of this element.

Methods inherited from class org.apache.struts.digester.Rule
`body, end, finish`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The attribute that will contain the property name.

### value

    protected java.lang.String value

  The attribute that will contain the property value.

Constructor Detail

### SetPropertyRule

    public SetPropertyRule(Digester digester,
                           java.lang.String name,
                           java.lang.String value)

  Construct a "set property" rule with the specified name and value attributes.
  Parameters:
    `digester` - The digester with which this rule is associated
    `name` - Name of the attribute that will contain the name of the property to be set
    `value` - Name of the attribute that will contain the value to which the property should be set

Method Detail

### begin

    public void begin(org.xml.sax.AttributeList attributes)
               throws java.lang.Exception

  Process the beginning of this element.
  Overrides:
    `begin` in class `Rule`
  Parameters:
    `context` - The associated context
    `attributes` - The attribute list of this element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation